Package com.ocient.jdbc.proto

# Class PlanProtocol.Disjunction.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>
com.ocient.jdbc.proto.PlanProtocol.Disjunction.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.DisjunctionOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.Disjunction

    public static final class PlanProtocol.Disjunction.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>
    implements PlanProtocol.DisjunctionOrBuilder

    A disjunction is a list of filter clauses
    It is true if at least one of the filter clauses is true

Protobuf type `xg.db.sqlPlans.Disjunction`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`PlanProtocol.Disjunction.Builder` | `addAllClause​(Iterable<? extends PlanProtocol.FilterClause> values)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `addClause​(int index, PlanProtocol.FilterClause value)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `addClause​(int index, PlanProtocol.FilterClause.Builder builderForValue)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `addClause​(PlanProtocol.FilterClause value)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `addClause​(PlanProtocol.FilterClause.Builder builderForValue)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.FilterClause.Builder` | `addClauseBuilder()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.FilterClause.Builder` | `addClauseBuilder​(int index)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.Disjunction` | `build()` |
`PlanProtocol.Disjunction` | `buildPartial()` |
`PlanProtocol.Disjunction.Builder` | `clear()` |
`PlanProtocol.Disjunction.Builder` | `clearClause()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.Disjunction.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.Disjunction.Builder` | `clone()` |
`PlanProtocol.FilterClause` | `getClause​(int index)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.FilterClause.Builder` | `getClauseBuilder​(int index)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`List<PlanProtocol.FilterClause.Builder>` | `getClauseBuilderList()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`int` | `getClauseCount()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`List<PlanProtocol.FilterClause>` | `getClauseList()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.FilterClauseOrBuilder` | `getClauseOrBuilder​(int index)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`List<? extends PlanProtocol.FilterClauseOrBuilder>` | `getClauseOrBuilderList()` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.Disjunction.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.Disjunction.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.Disjunction.Builder` | `mergeFrom​(PlanProtocol.Disjunction other)` |
`PlanProtocol.Disjunction.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`PlanProtocol.Disjunction.Builder` | `removeClause​(int index)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `setClause​(int index, PlanProtocol.FilterClause value)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `setClause​(int index, PlanProtocol.FilterClause.Builder builderForValue)` | `repeated .xg.db.sqlPlans.FilterClause clause = 1;`
`PlanProtocol.Disjunction.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.Disjunction.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.Disjunction.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### clear

public PlanProtocol.Disjunction.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### getDefaultInstanceForType

public PlanProtocol.Disjunction getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.Disjunction build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.Disjunction buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.Disjunction.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### setField

public PlanProtocol.Disjunction.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### clearField

public PlanProtocol.Disjunction.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### clearOneof

public PlanProtocol.Disjunction.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### setRepeatedField

public PlanProtocol.Disjunction.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### addRepeatedField

public PlanProtocol.Disjunction.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### mergeFrom

public PlanProtocol.Disjunction.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.Disjunction.Builder>`

### mergeFrom

public PlanProtocol.Disjunction.Builder mergeFrom​(PlanProtocol.Disjunction other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### mergeFrom

public PlanProtocol.Disjunction.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.Disjunction.Builder>`
Throws:
  `IOException`

### getClauseList

public List<PlanProtocol.FilterClause> getClauseList()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

Specified by:
  `getClauseList` in interface `PlanProtocol.DisjunctionOrBuilder`

### getClauseCount

public int getClauseCount()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

Specified by:
  `getClauseCount` in interface `PlanProtocol.DisjunctionOrBuilder`

### getClause

public PlanProtocol.FilterClause getClause​(int index)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

Specified by:
  `getClause` in interface `PlanProtocol.DisjunctionOrBuilder`

### setClause

public PlanProtocol.Disjunction.Builder setClause​(int index, PlanProtocol.FilterClause value)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### setClause

public PlanProtocol.Disjunction.Builder setClause​(int index, PlanProtocol.FilterClause.Builder builderForValue)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### addClause

public PlanProtocol.Disjunction.Builder addClause​(PlanProtocol.FilterClause value)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### addClause

public PlanProtocol.Disjunction.Builder addClause​(int index, PlanProtocol.FilterClause value)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### addClause

public PlanProtocol.Disjunction.Builder addClause​(PlanProtocol.FilterClause.Builder builderForValue)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### addClause

public PlanProtocol.Disjunction.Builder addClause​(int index, PlanProtocol.FilterClause.Builder builderForValue)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### addAllClause

public PlanProtocol.Disjunction.Builder addAllClause​(Iterable<? extends PlanProtocol.FilterClause> values)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### clearClause

public PlanProtocol.Disjunction.Builder clearClause()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### removeClause

public PlanProtocol.Disjunction.Builder removeClause​(int index)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### getClauseBuilder

public PlanProtocol.FilterClause.Builder getClauseBuilder​(int index)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### getClauseOrBuilder

public PlanProtocol.FilterClauseOrBuilder getClauseOrBuilder​(int index)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

Specified by:
  `getClauseOrBuilder` in interface `PlanProtocol.DisjunctionOrBuilder`

### getClauseOrBuilderList

public List<? extends PlanProtocol.FilterClauseOrBuilder> getClauseOrBuilderList()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

Specified by:
  `getClauseOrBuilderList` in interface `PlanProtocol.DisjunctionOrBuilder`

### addClauseBuilder

public PlanProtocol.FilterClause.Builder addClauseBuilder()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### addClauseBuilder

public PlanProtocol.FilterClause.Builder addClauseBuilder​(int index)
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### getClauseBuilderList

public List<PlanProtocol.FilterClause.Builder> getClauseBuilderList()
`repeated .xg.db.sqlPlans.FilterClause clause = 1;`

### setUnknownFields

public final PlanProtocol.Disjunction.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`

### mergeUnknownFields

public final PlanProtocol.Disjunction.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.Disjunction.Builder>`